Bug 47987 - linux: Multiple issues (4.3)
linux: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-2-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-15 15:13 CEST by Quality Assurance
Modified: 2018-10-17 14:57 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 8.2 (CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2018-10-15 15:13:33 CEST
New Debian linux 4.9.110-3+deb9u6 fixes:
This update addresses the following issues:
* net: xen: Linux netback driver OOB access in hash handling (XSA-270)  (CVE-2018-15471)
* Privilege escalation on arm64 via KVM hypervisor (CVE-2018-18021)
Comment 1 Quality Assurance univentionstaff 2018-10-16 08:07:07 CEST
--- mirror/ftp/4.3/unmaintained/component/4.3-2-errata/source/linux_4.9.110-3+deb9u5.dsc
+++ apt/ucs_4.3-0-errata4.3-2/source/linux_4.9.110-3+deb9u6.dsc
@@ -1,3 +1,12 @@
+4.9.110-3+deb9u6 [Mon, 08 Oct 2018 08:05:17 +0200] Salvatore Bonaccorso <carnil@debian.org>:
+
+  * [arm64] KVM: Tighten guest core register access from userspace
+    (CVE-2018-18021)
+  * [arm64] KVM: Sanitize PSTATE.M when being set from userspace
+    (CVE-2018-18021)
+  * xen-netback: fix input validation in xenvif_set_hash_mapping()
+    (CVE-2018-15471)
+
 4.9.110-3+deb9u5 [Sun, 30 Sep 2018 17:37:51 +0100] Ben Hutchings <ben@decadent.org.uk>:
 
   [ Salvatore Bonaccorso ]

<http://10.200.17.11/4.3-2/#5024331900872185435>
Comment 2 Philipp Hahn univentionstaff 2018-10-16 15:40:25 CEST
[4.3-2] 1821dde738 Bug #47987: Update to linux-4.9.110-3+deb9u6
 .../debian/changelog                               |   6 ++++++
 .../univention-kernel-image-signed/debian/control  |   4 ++--
 .../vmlinuz-4.9.0-8-amd64.efi.signed               | Bin 4241008 -> 4241008 bytes
 3 files changed, 8 insertions(+), 2 deletions(-)

Package: univention-kernel-image-signed
Version: 4.0.0-8A~4.3.0.201810161534
Branch: ucs_4.3-0
Scope: errata4.3-2

[4.3-2] a92cd0dc49 Bug #47987: univention-kernel-image-signed 4.0.0-8A~4.3.0.201810161534
 doc/errata/staging/linux.yaml                          |  1 +
 doc/errata/staging/univention-kernel-image-signed.yaml | 16 ++++++++++++++++
 2 files changed, 17 insertions(+)
Comment 3 Quality Assurance univentionstaff 2018-10-16 16:01:04 CEST
--- mirror/ftp/4.3/unmaintained/component/4.3-2-errata/source/univention-kernel-image-signed_4.0.0-7A~4.3.0.201810021026.dsc
+++ apt/ucs_4.3-0-errata4.3-2/source/univention-kernel-image-signed_4.0.0-8A~4.3.0.201810161534.dsc
@@ -1,6 +1,10 @@
-4.0.0-7A~4.3.0.201810021026 [Tue, 02 Oct 2018 10:26:48 +0200] Univention builddaemon <buildd@univention.de>:
+4.0.0-8A~4.3.0.201810161534 [Tue, 16 Oct 2018 15:34:43 +0200] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. No patches were applied to the original source package
+
+4.0.0-8 [Tue, 16 Oct 2018 15:29:22 +0200] Philipp Hahn <hahn@univention.de>:
+
+  * Bug #47987: Update to linux-4.9.110-3+deb9u6
 
 4.0.0-7 [Tue, 02 Oct 2018 10:21:51 +0200] Philipp Hahn <hahn@univention.de>:
 

<http://10.200.17.11/4.3-2/#7877262333273084132>
Comment 4 Quality Assurance univentionstaff 2018-10-16 16:01:08 CEST
--- mirror/ftp/4.3/unmaintained/component/4.3-2-errata/source/linux_4.9.110-3+deb9u5.dsc
+++ apt/ucs_4.3-0-errata4.3-2/source/linux_4.9.110-3+deb9u6.dsc
@@ -1,3 +1,12 @@
+4.9.110-3+deb9u6 [Mon, 08 Oct 2018 08:05:17 +0200] Salvatore Bonaccorso <carnil@debian.org>:
+
+  * [arm64] KVM: Tighten guest core register access from userspace
+    (CVE-2018-18021)
+  * [arm64] KVM: Sanitize PSTATE.M when being set from userspace
+    (CVE-2018-18021)
+  * xen-netback: fix input validation in xenvif_set_hash_mapping()
+    (CVE-2018-15471)
+
 4.9.110-3+deb9u5 [Sun, 30 Sep 2018 17:37:51 +0100] Ben Hutchings <ben@decadent.org.uk>:
 
   [ Salvatore Bonaccorso ]

<http://10.200.17.11/4.3-2/#7877262333273084132>
Comment 5 Philipp Hahn univentionstaff 2018-10-16 16:05:08 CEST
OK: amd64 @ kvm+SeaBIOS
OK: amd64 @ kvm+OVMF+SB
OK: amd64 @ xen16

OK: diff <(./linux-dmesg-norm 4.9.0-8-amd64.4.9.110-3+deb9u5) <(./linux-dmesg-norm 4.9.0-8-amd64.4.9.110-3+deb9u6)

OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.3-2] a92cd0dc49 Bug #47987: univention-kernel-image-signed 4.0.0-8A~4.3.0.201810161534
 doc/errata/staging/linux.yaml | 1 +
 1 file changed, 1 insertion(+)

[4.3-2] 04792ae07f Bug #47987: linux 4.9.110-3+deb9u6
 doc/errata/staging/linux.yaml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)